From 67eac72372ac74fe8e158569a1d7c55e2211f515 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Sat, 10 Oct 2009 10:29:50 +0200
Subject: [PATCH] disable tests

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 gcc.spec |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

diff --git a/gcc.spec b/gcc.spec
index 60210bf..e01dffd 100644
--- a/gcc.spec
+++ b/gcc.spec
@@ -25,6 +25,12 @@
 # With this then on the new arch do rpmbuild -ba -v --with java_bootstrap gcc41.spec
 %global bootstrap_java %{?_with_java_bootstrap:%{build_java}}%{!?_with_java_bootstrap:0}
 %global build_java_tar %{?_with_java_tar:%{build_java}}%{!?_with_java_tar:0}
+
+%define run_tests 1
+%ifarch %{arm}
+%define run_tests 0
+%endif
+
 %ifarch s390x
 %global multilib_32_arch s390
 %endif
@@ -40,7 +46,7 @@
 Summary: Various compilers (C, C++, Objective-C, Java, ...)
 Name: gcc
 Version: %{gcc_version}
-Release: %{gcc_release}.fa2
+Release: %{gcc_release}.fa3
 # libgcc, libgfortran, libmudflap, libgomp, libstdc++ and crtstuff have
 # GCC Runtime Exception.
 License: GPLv3+ and GPLv3+ with exceptions and GPLv2+ with exceptions
@@ -1170,6 +1176,7 @@ chmod 644 %{buildroot}%{_mandir}/man1/unprotoize.1
 %check
 cd obj-%{gcc_target_platform}
 
+%if %{run_tests}
 # run the tests.
 make %{?_smp_mflags} -k check ALT_CC_UNDER_TEST=gcc ALT_CXX_UNDER_TEST=g++ RUNTESTFLAGS="--target_board=unix/'{,-fstack-protector}'" || :
 echo ====================TESTING=========================
@@ -1182,6 +1189,7 @@ done
 tar cf - testlogs-%{_target_platform}-%{version}-%{release} | bzip2 -9c \
   | uuencode testlogs-%{_target_platform}.tar.bz2 || :
 rm -rf testlogs-%{_target_platform}-%{version}-%{release}
+%endif
 
 %clean
 rm -rf %{buildroot}
@@ -1823,6 +1831,9 @@ fi
 %doc rpm.doc/changelogs/libmudflap/ChangeLog*
 
 %changelog
+* Thu Oct  8 2009 Jitesh Shah <jiteshs@marvell.com> 4.4.1-16.fa3
+- Disable tests.
+ 
 * Tue Sep 29 2009 Jitesh Shah <jiteshs@marvel.com> 4.4.1-16-fa2
 - Disable cloog. 
 
-- 
1.5.5.6

